<script setup>
    const props = defineProps({
        title: {
                type: String,
                required: true
            },
        hx: {
            type: String,
            required: true
        },
        align: {
            type: String,
        },
        quoteRight: {
            type: Boolean,
            default: false
        },
        decaldeLeft: {
            type: Boolean,
            default: false
        }
    });
    const level = props.hx === 'h1' ? true : false;
    const computedDirectionClasses = computed(() => {
        return props.align == 'left'
            ? 'flex flex-row justify-left items-center mt-[65px] mb-[30px]'
            : 'flex justify-center items-center mt-[65px] mb-[30px]';
    });
    const computedSubdirectionClasses = computed(() => {
        return props.align == 'left'
            ? 'text-left'
            : 'text-center';
    });
</script>

<template>
    <div :class="computedDirectionClasses">
        <div v-if="!quoteRight" class="pb-[30px] mr-2">
            <img src="/images/quotes.svg" width="46px" height="37px">
        </div>
        <div :class="computedSubdirectionClasses">
            <h1 v-if="level" class="text-3xl font-las">{{ title }}</h1>
            <h2 v-else class="text-2xl font-las">{{ title }}</h2>
        </div>

        <div v-if="quoteRight" class="ml-2 pb-[30px]">
            <img src="/images/quotes.svg" width="46px" height="37px">
        </div>
    </div>
</template>